org.apache.lucene.luke.app.desktop.util

## Class HelpHeaderRenderer

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.util.HelpHeaderRenderer

- All Implemented Interfaces:
    TableCellRenderer

      public final class HelpHeaderRenderer
      extends Object
      implements TableCellRenderer

  Cell render class for table header with help dialog.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HelpHeaderRenderer(String title, String desc, JComponent helpContent, HelpDialogFactory helpDialogFactory)`
    `HelpHeaderRenderer(String title, String desc, JComponent helpContent, HelpDialogFactory helpDialogFactory, JDialog parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Component` | `getTableCellRendererComponent(JTable table, Object value, boolean isSelected, boolean hasFocus, int row, int column)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HelpHeaderRenderer

          public HelpHeaderRenderer(String title,
                                    String desc,
                                    JComponent helpContent,
                                    HelpDialogFactory helpDialogFactory)

    - #### HelpHeaderRenderer

          public HelpHeaderRenderer(String title,
                                    String desc,
                                    JComponent helpContent,
                                    HelpDialogFactory helpDialogFactory,
                                    JDialog parent)

  - ### Method Detail

    - #### getTableCellRendererComponent

          public Component getTableCellRendererComponent(JTable table,
                                                         Object value,
                                                         boolean isSelected,
                                                         boolean hasFocus,
                                                         int row,
                                                         int column)

      Specified by:
        `getTableCellRendererComponent` in interface `TableCellRenderer`

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.